Skip to main content
`Ctrl`+`K`

# bridge_components

bridge_components(G)

  Finds all bridge-connected components G.

  Parameters:
    G NetworkX undirected graph
  Returns:
    bridge_components a generator of 2-edge-connected components
  Raises:
    NetworkXNotImplemented

      If the input graph is directed or a multigraph.

  See also

  `k_edge_subgraphs()`

    this function is a special case for an undirected graph where k=2.

  `biconnected_components()`

    similar to this function, but is defined using 2-node-connectivity instead of 2-edge-connectivity.

  Notes

  Bridge-connected components are also known as 2-edge-connected components.

  Examples

      >>> # The barbell graph with parameter zero has a single bridge
      >>> G = nx.barbell_graph(5, 0)
      >>> from networkx.algorithms.connectivity.edge_kcomponents import bridge_components
      >>> sorted(map(sorted, bridge_components(G)))
      [[0, 1, 2, 3, 4], [5, 6, 7, 8, 9]]